using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Forks.JsonRpc.Client;
using Newtonsoft.Json;
using SegmentationWeight.Rpc.Dto;

namespace SegmentationWeight.Rpc
{
  public class SegmentationWeightRecordRpc
  {
    public static long Insert(SegmentationWeightRecord record)
    {
      var json = JsonConvert.SerializeObject(record);
      var id = RpcFacade.Call<long>("/MainSystem/B3ClientService/Rpcs/BillRpc/SegmentationWeightRecordRpc/Insert", json);
      return id;
    }
  }
}
